Volume massimo di un 3DSOLID

MrMeMedesmo

Utente poco attivo
Professione: Progettista
Software: Quelli che conosco.
Regione: Umbria
Buongiorno.
Sto cercando una soluzione a questo problema, ovvero identificare il volume massimo che contiene un 3DSOLID irregolare ruotato nello spazio, ovvero non il classico e semplice prisma allineato secondo l'UCS.
Per meglio spiegare lo scopo allego le foto dove:
- colore BIANCO = 3DSOLID di riferimento
- colore ROSSO = prisma minimo che contiene il 3DSOLID di riferimento secondo il mio obiettivo
foto 1a.JPG
foto 1b.JPG
- colore VERDE = prisma minimo che contiene il 3DSOLID di riferimento costruito con la seguente funzione:
(defun c: ()
(if (setq ss1 (ssget "_+.:E:S" '((0 . "3DSOLID"))))
(progn
(setq solidobj (vlax-ename->vla-object (ssname ss1 0)))
(vla-GetBoundingBox solidobj 'minExt 'maxExt)
(setq minExt (vlax-safearray->list minExt)
maxExt (vlax-safearray->list maxExt)
)
(command "_box" "_non" minExt "_non" maxExt)
)
)
(princ)
)
foto 2a.JPGfoto 2b.JPG
Ringrazio chiunque possa apportare un aiuto alla soluzione del problema.
 

GP.

Utente Senior
Professione: Nientologo
Software: uozapp
Regione: Vercelli
Non ho capito, tu vuoi che il parallelepipedo verde tenga conto anche della porzione rossa o stai cercando il parallelepidedo max che comunque orientato contenga la porzione bianca? :unsure: